package de.intevation.gnv.exports;

import java.awt.Transparency;
import java.awt.image.BufferedImage;
import java.io.OutputStream;
import java.io.IOException;
import javax.imageio.ImageIO;

import org.apache.log4j.Logger;

import org.jfree.chart.JFreeChart;

/**
 * @author Ingo Weinzierl <ingo.weinzierl@intevation.de>
 */
public class ChartExportHelper {

    private static final String DEFAULT_PAGE_SIZE = "A4";

    private static Logger log = Logger.getLogger(ChartExportHelper.class);

    public static void exportImage(
        OutputStream out,
        JFreeChart chart,
        String format,
        int width,
        int height
    )
    throws IOException
    {
        log.info("export chart as png");

        ImageIO.write(
            chart.createBufferedImage(
                width, height, Transparency.BITMASK, null
            ),
            format,
            out
        );
    }

    public static void exportSVG() {
        log.info("export chart as svg (not implemented yet)");
    }

    public static void exportPDF() {
        log.info("export chart as pdf (not implemented yet)");
    }
}
